// Put into slot
if (!useItem("YumoItem"))
{
  this.removeSelf = false;
  return;
}
lock();
sfx("p4/yumo_artefact");
var slot = getName("artefact_slot");
slot.ac(1);
//trace("SLOT");
var trig = getTrigger("right_trigger");
trig.parent._scene.remove(trig.parent);
trig = getTrigger("left_trigger");
trig.parent._scene.remove(trig.parent);
//trace("TRIG");
player.userInput = false;

var potL = getItem("cure_left");
var potR = getItem("cure_right");

var yumo = getName("yumo");
yumo.y = -69; // Above screen
yumo.ac(2);
yumo.x = 109;
//trace("YUMO");

playMusic("yumo_sequence");

var l0 = getLayer("rays");
var l1 = getLayer("rays 2");
var l2 = getLayer("rays 3");
//trace("RAYS");

l0.fadingTween.tween(l0.map, 0, 1, 1);
delay(0.4, function() { l1.fadingTween.tween(l1.map, 0, 1, 0.5); });
delay(0.8, function() { l2.fadingTween.tween(l2.map, 0, .8, 0.4); });
delay(1, function() { tween(yumo, 109, 30, 1, Ease.backOut); });
delay(2, function() {
  l0.fadingTween.tween(l0.map, 1, 0, 1);
  l1.fadingTween.tween(l1.map, 1, 0, 0.7);
  l2.fadingTween.tween(l2.map, .8, 0, 0.45);
  yumo.ac(1);
});
delay(2.9, function()
{
  sfx("p4/yumo_potions");
  potL.draw.get("icon").alpha = 0;
  potR.draw.get("icon").alpha = 0;
  potL.grid.setPos(6, 3);
  potR.grid.setPos(9, 3);
  tweenAlpha(potL.draw.get("icon"), 0, 1, 0.4);
  tweenAlpha(potR.draw.get("icon"), 0, 1, 0.4);
});
delay(4, function()
{
  tween(potL, 96, 109, 1, Ease.sineInOut);
  tween(potR, 144, 109, 1, Ease.sineInOut);
});
delay(5, function()
{
  player.userInput = true;
  var y = potL.parent.y;
  potL.grid.setGrid(6, 7);
  potR.grid.setGrid(9, 7);
  potL.y = y;
  potR.y = y;
});
unlock();
//trace("DELAYS");